package ru.ibs.tests;

import org.junit.*;
import org.openqa.selenium.By;
import ru.ibs.framework.managers.DriverManager;

public class ApplineBusinessTripTest extends BaseTests {

    private LoginPage loginPage;
    private DashboardPage dashboardPage;
    private BusinessTripPage businessTripPage;

    @Before
    public void setUp() {
        // Получаем драйвер из DriverManager (инициализирован в BaseTests)
        loginPage = new LoginPage(DriverManager.getDriverManager().getDriver());

        // Открываем страницу логина
        DriverManager.getDriverManager().getDriver().get("http://training.appline.ru/user/login");
    }

    @Test
    public void applineLoginScenario() {
        dashboardPage = loginPage.login("Irina Filippova", "testing");
        Assert.assertTrue("Dashboard not loaded", dashboardPage.isDashboardLoaded());

        businessTripPage = dashboardPage.goToBusinessTrip();
        Assert.assertTrue("Trips page not loaded", businessTripPage.isTripsPageLoaded());

        businessTripPage.openCreateTripForm();

        businessTripPage.selectDepartment("Отдел внутренней разработки");
        businessTripPage.selectOrganization("Edge");
        businessTripPage.setTicketsCheckbox(true);
        businessTripPage.fillCity("Дмитров");

        businessTripPage.fillDate(
                By.xpath("//input[@placeholder='Укажите дату' and contains(@id, 'departureDatePlan')]"),
                "01.01.2025"
        );

        businessTripPage.fillDate(
                By.xpath("//input[@placeholder='Укажите дату' and contains(@id, 'returnDatePlan')]"),
                "10.01.2025"
        );

        businessTripPage.saveAndClose();

        Assert.assertTrue("Expected validation error not shown",
                businessTripPage.isErrorDisplayed("Список командируемых сотрудников не может быть пустым"));
    }

}
